library native;

import '../lib/dartgl.dart';
import '../lib/dartgl_win.dart';

void main() {
  
  var window = createWindow();
  showWindow(window);
  runWindow(window);
  
  var deviceContext = getDeviceContext(window);
  var context = createContext(deviceContext);
  makeContextCurrent(deviceContext, context);
  
  glClearColor(0.0, 0.7, 0.99, 0.0);
  
  while(runWindow(window)){
    makeContextCurrent(deviceContext, context);
    
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);  
    
    swapBuffers(deviceContext);
    
    makeContextCurrent(0, 0);
  }
  
}

